#include <gint/defs/types.h>


struct BestRanking
{
    char playerName[3] = { '.', '.', '.' }; // name of the player
    char padding = 'Z'; // toi tu m'auras fait me gratter la tête !! Mon cochon.
    uint32_t bestScore = 0x0FFFFFFF;
    uint32_t bestTime = 0x0FFFFFFF;
};

struct Parameters
{
    uint8_t DiffLevel = 1;
    uint8_t CarsNumb = 1;
    char PlayerName[3] = { 'S', 'L', 'Y' };
};


void is_save_existing( void );
void saveprogress( void );
void loadprogress( void );


void is_param_existing( void );
void saveparameters( void );
void loadparameters( void );


